FROM python:3.12-slim

WORKDIR /app

RUN apt update && apt install -y \
    weasyprint \
    libcairo2 \
    pango1.0-tools \
    libpango-1.0-0 \
    libgobject-2.0-0 \
    ffmpeg

COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY . .

EXPOSE 8000
